Package groovy.transform

# Annotation Type TypeChecked.TypeCheckingInfo

Enclosing class:
  TypeChecked

@Retention(RUNTIME) @Target(METHOD) public static @interface TypeChecked.TypeCheckingInfo
This annotation is added by @TypeChecked on methods which have type checking turned on. It is used to embed type information into binary, so that the type checker can use this information, if available, for pre-compiled classes.

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `String`
  `inferredType`
  An encoded type information.

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `int`
  `version`
  Returns the type checker information protocol number.

- ## Element Details

  - ### inferredType

    String inferredType
    An encoded type information.
    Returns:
      the inferred type

- - ### version

    int version
    Returns the type checker information protocol number. This is used if the format of the string used in `inferredType()` changes.
    Returns:
      the protocol version
    Default:
      0